Skip to content

Get Daily Impacts

GET
/api/v1/projects/{project_id}/impacts/daily
curl --request GET \
--url 'https://api.totalview.energy/api/v1/projects/example/impacts/daily?limit=365&offset=0' \
--header 'Authorization: Bearer <token>'

Get daily aggregated impact data for visualization.

Queries TimescaleDB continuous aggregate for fast daily rollups. Falls back to RDS daily_impact_aggregates if TimescaleDB is unavailable.

Available to users with at least summary results access.

project_id
required
Project Id
string
start_date
Any of:
string format: date-time

Start date (inclusive)

end_date
Any of:
string format: date-time

End date (inclusive)

limit
Limit

Max records to return (default 365 = 1 year)

integer
default: 365 >= 1 <= 3650

Max records to return (default 365 = 1 year)

offset
Offset

Number of records to skip

integer
0

Number of records to skip

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}